# mlx.core.concatenate — MLX 0.0.7 documentation

Skip to main content
`Ctrl`+`K`

# mlx.core.concatenate

mlx.core.concatenate(arrays: List[ array ], axis: Optional[ int ] = 0, *, stream: Union[ None , Stream , Device ] = None) → array

  Concatenate the arrays along the given axis.

  Parameters:

    - arrays (list ( array )) – Input `list` or `tuple` of arrays.

    - axis (int , optional) – Optional axis to concatenate along. If unspecified defaults to `0`.

  Returns:

    The concatenated array.

  Return type:

    array